.gsuiOscillator {
	display: flex;
	position: relative;
	box-sizing: border-box;
	justify-content: space-between;
	height: 60px;
	padding: 8px;
	padding-right: 12px;
	color: #ddd;
	font-family: sans-serif;
	background-color: #555;
	--gsuiSlider-lineBgColor: #444;
}
.gsuiOscillator-order {
	display: flex;
	align-items: center;
}
.gsuiOscillator-order::before {
	counter-increment: count-osc;
	content: counter( count-osc );
	font-size: 11px;
	font-weight: bold;
	opacity: .2;
}
.gsuiOscillator-attr {
	position: relative;
	width: 40px;
	margin-left: 14px;
}
.gsuiOscillator-sliderWrap {
	position: absolute;
	width: 100%;
	top: 50%;
	height: 40px;
	margin-top: -20px;
}
.gsuiOscillator-sliderWrap .gsuiSlider {
	margin: auto;
}

.gsuiOscillator-detune { --gsuiSlider-lineColor: #fff; }
.gsuiOscillator-pan    { --gsuiSlider-lineColor: #d9f; }
.gsuiOscillator-gain   { --gsuiSlider-lineColor: #ff9; }

.gsuiOscillator-sliderValue {
	position: absolute;
	display: flex;
	align-items: center;
	justify-content: center;
	top: 0;
	width: 100%;
	height: 100%;
	font-size: 10px;
	font-family: "inconsolata", inherit;
	color: var( --gsuiSlider-lineColor );
}

.gsuiOscillator-type {
	flex: 1;
	display: flex;
	flex-direction: column;
	position: relative;
}
.gsuiOscillator-typeWaves {
	position: relative;
	flex: 1;
	border-radius: 2px;
	background-color: rgba( 0, 0, 0, .4 );
}
.gsuiOscillator-type .gsuiPeriodicWave {
	position: absolute;
}
.gsuiOscillator-type .gsuiPeriodicWave:first-child polyline { stroke: #faa; }
.gsuiOscillator-type .gsuiPeriodicWave:last-child polyline { stroke: #aaf; }
.gsuiOscillator-type polyline {
	stroke-opacity: .8;
}

.gsuiOscillator-typeCtrl {
	display: flex;
	align-items: center;
	height: 16px;
}
.gsuiOscillator-typeLink {
	width: 14px;
	text-align: center;
	font: 14px "FontAwesome";
	opacity: .3;
}
.gsuiOscillator-typeLink:hover {
	opacity: 1;
}
.gsuiOscillator-typePrev::before { content: "\f0d9"; }
.gsuiOscillator-typeNext::before { content: "\f0da"; }

.gsuiOscillator-type select {
	width: 100%;
	height: 100%;
	border: 0;
	outline: 0;
	color: inherit;
	font-size: 10px;
	font-weight: bold;
	text-transform: capitalize;
	-webkit-appearance: none;
	-moz-appearance: none;
	background: none;
}
.gsuiOscillator-type option {
	background-color: #444;
}
option.gsuiOscillator-nativeWave {
	background-color: #333;
}

.gsuiOscillator-remove {
	position: absolute;
	top: 0;
	right: 2px;
	opacity: .1;
	font-size: 12px;
	transition: opacity .2s;
}
.gsuiOscillator-remove::before {
	content: "\f2d3";
	font-family: "FontAwesome";
}
.gsuiOscillator-remove:hover {
	opacity: .8;
}
